#!/bin/bash

source ./init.sh

# delete alibaba-inc wlan
function remove_interface_configuration()
{
    sed -i -e '/# alilang-start/,/# alilang-end/d' $INTERFACE_FILE
}


# setup alibaba-inc wlan on boot
function write_interface_configuration()
{
    quit_if_not_root
    remove_interface_configuration
    echo "
# alilang-start
# alilang configuration for alibaba-inc
#
auto $1
iface $1 inet dhcp
wpa-conf $WPA_CONF
# alilang-end" >> $INTERFACE_FILE
}

if [ "$1" = "add" ]; then
    write_interface_configuration $WLAN_IF
elif [ "$1" = "del" ]; then
    remove_interface_configuration
else
    echo "

usage:
./setup-interface.sh add : add a alibaba-inc configuration, auto connect at startup
./setup-interface.sh del : delete alibaba-inc configuration
"
fi
